// Power factor for an inductive load
// SCILAB source file: ex3901.sce
// Get data from dialog box
txt = ['Inductance (H)';'Resistance (ohm)';'Frequency (Hz)'];
var = x_mdialog('Enter load parameters and frequency',txt,['2';'350';'50']);
L = evstr(var(1));
r = evstr(var(2));
f = evstr(var(3));
// Calculate the inductive reactance
xL = 2 * %pi * f * L;
//
// Calculate the impedance
z = sqrt(r^2 + xL^2);
// Calculate the phase angle
pf =r/z;
// Display results
messagebox(["Impedance = " + string(z) + " ohm","Power factor = " + string(pf)],"Results");

